diff --git a/src/amd/vulkan/meta/radv_meta.c b/src/amd/vulkan/meta/radv_meta.c
index 63a94854f5b..e4e894d6a5e 100644
--- a/src/amd/vulkan/meta/radv_meta.c
+++ b/src/amd/vulkan/meta/radv_meta.c
@@ -507,9 +507,14 @@ radv_device_init_meta(struct radv_device *device)
    if (result != VK_SUCCESS)
       goto fail_etc_decode;
 
-   result = radv_device_init_meta_astc_decode_state(device, on_demand);
-   if (result != VK_SUCCESS)
-      goto fail_astc_decode;
+//  XXX: insanely toxic compute based stuff pulling that
+//       disgusting khronos glslang. Should be independent
+//       of glslang and in simple C99: (spir-v|gcn/rdna assembly
+//       with simple and plain C99 written "assemblers").
+//       blame: some trash.
+//   result = radv_device_init_meta_astc_decode_state(device, on_demand);
+//   if (result != VK_SUCCESS)
+//      goto fail_astc_decode;
 
    if (device->vk.enabled_features.deviceGeneratedCommands) {
       result = radv_device_init_dgc_prepare_state(device, on_demand);
@@ -517,35 +522,40 @@ radv_device_init_meta(struct radv_device *device)
          goto fail_dgc;
    }
 
-   if (device->vk.enabled_extensions.KHR_acceleration_structure) {
-      if (device->vk.enabled_features.nullDescriptor) {
-         result = radv_device_init_null_accel_struct(device);
-         if (result != VK_SUCCESS)
-            goto fail_accel_struct;
-      }
+//  XXX: insanely toxic compute based stuff pulling that
+//       disgusting khronos glslang. Should be independent
+//       of glslang and in simple C99: (spir-v|gcn/rdna assembly
+//       with simple and plain C99 written "assemblers").
+//       blame: Konstantin Seurer
+//   if (device->vk.enabled_extensions.KHR_acceleration_structure) {
+//      if (device->vk.enabled_features.nullDescriptor) {
+//         result = radv_device_init_null_accel_struct(device);
+//         if (result != VK_SUCCESS)
+//            goto fail_accel_struct;
+//      }
 
       /* FIXME: Acceleration structure builds hang when the build shaders are compiled with LLVM.
        * Work around it by forcing ACO for now.
        */
-      bool use_llvm = pdev->use_llvm;
-      if (loaded_cache || use_llvm) {
-         pdev->use_llvm = false;
-         result = radv_device_init_accel_struct_build_state(device);
-         pdev->use_llvm = use_llvm;
-
-         if (result != VK_SUCCESS)
-            goto fail_accel_struct;
-      }
-   }
+//      bool use_llvm = pdev->use_llvm;
+//      if (loaded_cache || use_llvm) {
+//         pdev->use_llvm = false;
+//         result = radv_device_init_accel_struct_build_state(device);
+//         pdev->use_llvm = use_llvm;
+//
+//         if (result != VK_SUCCESS)
+//            goto fail_accel_struct;
+//      }
+//   }
 
    return VK_SUCCESS;
 
-fail_accel_struct:
-   radv_device_finish_accel_struct_build_state(device);
+//fail_accel_struct:
+//   radv_device_finish_accel_struct_build_state(device);
 fail_dgc:
    radv_device_finish_dgc_prepare_state(device);
-fail_astc_decode:
-   radv_device_finish_meta_astc_decode_state(device);
+//fail_astc_decode:
+//   radv_device_finish_meta_astc_decode_state(device);
 fail_etc_decode:
    radv_device_finish_meta_etc_decode_state(device);
 fail_fmask_copy:
@@ -585,8 +595,8 @@ radv_device_finish_meta(struct radv_device *device)
 {
    radv_device_finish_dgc_prepare_state(device);
    radv_device_finish_meta_etc_decode_state(device);
-   radv_device_finish_meta_astc_decode_state(device);
-   radv_device_finish_accel_struct_build_state(device);
+//   radv_device_finish_meta_astc_decode_state(device);
+//   radv_device_finish_accel_struct_build_state(device);
    radv_device_finish_meta_clear_state(device);
    radv_device_finish_meta_resolve_state(device);
    radv_device_finish_meta_blit_state(device);
